Subject: Re: bug#11567: 24.0.97; WTF? ROFL! (hilarious bug)

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 May 2012 10:14:32 -0400

>> I propose the following patch, which does a little more checking if
>> it's likely that emacs has been opening a special frame for the
>> *Completions*-buffer. With some effort you could probably still get
>> emacs to iconify an unexpecting frame, but I don't think many people
>> would, if not for playing hide and seek that is... ;)

Checking special-display-p is not a good idea.
OTOH, it'd be OK to check whether the frame has an active minibuffer
(IOW make sure we don't iconify an active minibuffer), and/or make sure
the frame is not the last one.

> Why can't we use `window--delete' instead of `iconify-frame' here?

Probably no reason.

        Stefan